<?php

declare(strict_types=1);

use System\Database\Schema;

return function (): string {

    return Schema::create('positions', function ($table) {

        $table->id();

        $table->foreignId('department_id')
              ->constrained('departments');

        $table->string('position_code',30);

        $table->string('position_name',150);

        $table->boolean('status')->default(true);

        $table->timestamps();

    });

};